Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.fst
Class SegmentationEvaluator

    java.lang.Object
      cc.mallet.fst.TransducerEvaluator
          cc.mallet.fst.SegmentationEvaluator

    public class SegmentationEvaluator

extends TransducerEvaluator

Field Summary

Fields inherited from class cc.mallet.fst.TransducerEvaluator
`instanceListDescriptions, instanceLists`

Constructor Summary
`SegmentationEvaluator(InstanceList[] instanceLists, java.lang.String[] descriptions)`
`SegmentationEvaluator(InstanceList instanceList1, java.lang.String description1)`
`SegmentationEvaluator(InstanceList instanceList1, java.lang.String description1, InstanceList instanceList2, java.lang.String description2)`
`SegmentationEvaluator(InstanceList instanceList1, java.lang.String description1, InstanceList instanceList2, java.lang.String description2, InstanceList instanceList3, java.lang.String description3)`

Method Summary
`void` | `evaluateInstanceList(TransducerTrainer tt, InstanceList data, java.lang.String description)`
`SegmentationEvaluator` | `setSegmentEndTag(java.lang.Object o)`
`SegmentationEvaluator` | `setSegmentStartTag(java.lang.Object o)`

Methods inherited from class cc.mallet.fst.TransducerEvaluator
`evaluate, preamble, precondition`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SegmentationEvaluator

    public SegmentationEvaluator(InstanceList[] instanceLists,
                                 java.lang.String[] descriptions)

### SegmentationEvaluator

    public SegmentationEvaluator(InstanceList instanceList1,
                                 java.lang.String description1)

### SegmentationEvaluator

    public SegmentationEvaluator(InstanceList instanceList1,
                                 java.lang.String description1,
                                 InstanceList instanceList2,
                                 java.lang.String description2)

### SegmentationEvaluator

    public SegmentationEvaluator(InstanceList instanceList1,
                                 java.lang.String description1,
                                 InstanceList instanceList2,
                                 java.lang.String description2,
                                 InstanceList instanceList3,
                                 java.lang.String description3)

Method Detail

### setSegmentStartTag

    public SegmentationEvaluator setSegmentStartTag(java.lang.Object o)

### setSegmentEndTag

    public SegmentationEvaluator setSegmentEndTag(java.lang.Object o)

### evaluateInstanceList

    public void evaluateInstanceList(TransducerTrainer tt,
                                     InstanceList data,
                                     java.lang.String description)

  Specified by:
    `evaluateInstanceList` in class `TransducerEvaluator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD